petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESLineSearchSetWorkVecs

Gets work vectors for the line search.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchSetWorkVecs(SNESLineSearch linesearch, PetscInt nwork)

### Input Parameter

| linesearch | - the SNESLineSearch context
| nwork | - the number of work vectors

Developers Note: This is PETSC_EXTERN because it may be used by user written plugin SNES implementations

### Keywords

SNESLineSearch, work, vector

### See Also

SNESSetWorkVecs()

Level:developer
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages